Last Comment Bug 82268 - builds use the wrong version of perl
: builds use the wrong version of perl
Status: RESOLVED FIXED
:
Product: NSS
Classification: Components
Component: Build (show other bugs)
: 3.2.1
: All All
: P2 minor with 1 vote (vote)
: 3.11.7
Assigned To: Neil Williams
:
Mentors:
: 102326 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-22 17:32 PDT by cls
Modified: 2007-05-09 15:11 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch. (493 bytes, patch)
2001-05-22 21:27 PDT, Wan-Teh Chang
no flags Details | Diff | Splinter Review
Use PERL (5.52 KB, patch)
2004-02-18 10:28 PST, cls
neil.williams: review-
Details | Diff | Splinter Review
updated against NSS_311_BRANCH (8.96 KB, patch)
2006-04-05 00:00 PDT, cls
neil.williams: review+
christophe.ravel.bugs: review+
Details | Diff | Splinter Review
converted to current 3.11 branch (10.12 KB, patch)
2007-05-04 19:29 PDT, Neil Williams
christophe.ravel.bugs: review+
nelson: review+
Details | Diff | Splinter Review
fixed typo in coreconf/rules.mk (11.17 KB, patch)
2007-05-07 19:37 PDT, Neil Williams
nelson: review+
christophe.ravel.bugs: review+
Details | Diff | Splinter Review

Description cls 2001-05-22 17:32:31 PDT
security/nss/lib/ckfw/builtins/Makefile has a hardcoded reference to perl which
assumes that perl is in your path and that it's perl 5.

Bismark tinderbox log:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Ports/990573960.3814.gz
Comment 1 Wan-Teh Chang 2001-05-22 21:27:24 PDT
Created attachment 35751 [details] [diff] [review]
Proposed patch.
Comment 2 Wan-Teh Chang 2001-05-22 21:31:14 PDT
The proposed patch added a new makefile target 'generate'
that generates the certdata.c file with the Perl script.
So perl won't be invoked by default.

Ian, this means when you add a new root cert to certdata.txt,
you will need to say 'make generate' to generate a new
certdata.c.
Comment 3 cls 2001-05-23 00:23:13 PDT
Ok, that seems like the entirely wrong fix for the problem and doesn't address
the other uses of perl in coreconf/*.mk .  Granted, I don't know if those other
instances are referenced but what's wrong with using a PERL variable that we can
override?   

There's also hardcoded references to zip & gzip that should be addressed.
Comment 4 Wan-Teh Chang 2001-12-19 11:49:09 PST
Lowered priority to P2.
Comment 5 Wan-Teh Chang 2002-04-25 16:17:41 PDT
Changed the QA contact to Bishakha.
Comment 6 Wan-Teh Chang 2002-05-08 17:03:27 PDT
Set target milestone to NSS 3.5.
Comment 7 Wan-Teh Chang 2002-10-16 12:54:50 PDT
*** Bug 102326 has been marked as a duplicate of this bug. ***
Comment 8 Wan-Teh Chang 2002-10-16 12:56:22 PDT
We should also handle the case of zip being used to
generate jar files.  The jar command can be used for
that purpose.
Comment 9 cls 2004-02-18 10:28:30 PST
Created attachment 141685 [details] [diff] [review]
Use PERL

This patch takes care of the perl issue by setting PERL in coreconf/command.mk
and using it in coreconf/rules.mk and the other Makefiles.  Mozilla builds will
override PERL with the one detected by configure when building.  This patch was
needed to deal with the issue from bug 234088.
Comment 10 Nelson Bolyard (seldom reads bugmail) 2006-03-22 21:58:04 PST
Comment on attachment 141685 [details] [diff] [review]
Use PERL

Neil, please review this patch and see if it still applies, and if it works.  
Thanks.
Comment 11 Neil Williams 2006-03-31 12:39:23 PST
Comment on attachment 141685 [details] [diff] [review]
Use PERL

This patch does not apply cleanly to the NSS 3.11 branch. Since bug 234088 has been marked as WONTFIX (because it's not necessary to fix) we can probably do the same with this one
Comment 12 cls 2006-03-31 13:37:13 PST
Bug 234088 is about running against the wrong version of perl when running the scripts outside of the build system.  This bug involves running against the wrong version of perl (& other commands) when running the scripts from within the build system.
Comment 13 Nelson Bolyard (seldom reads bugmail) 2006-04-01 13:37:39 PST
I agree this is worthy of fixing.  

Neil and Christophe, how difficult is it to update this patch to apply to 
the 3.11 branch and trunk?
Comment 14 cls 2006-04-05 00:00:13 PDT
Created attachment 217260 [details] [diff] [review]
updated against NSS_311_BRANCH
Comment 15 Nelson Bolyard (seldom reads bugmail) 2006-04-05 06:33:36 PDT
Comment on attachment 217260 [details] [diff] [review]
updated against NSS_311_BRANCH

Christophe, please test this patch on one of our nightly builds, using your patch testing facility.
Comment 16 Christophe Ravel 2006-04-06 12:09:15 PDT
Last night build on NSS_3_11_BRANCH ran with this patch applied. I didn't see any build issue on all platforms we support at Sun.
Comment 17 Nelson Bolyard (seldom reads bugmail) 2006-04-06 12:21:19 PDT
Comment on attachment 217260 [details] [diff] [review]
updated against NSS_311_BRANCH

Neil please reivew.  Also, please check and see if thie patch applies cleanly to the trunk.
Comment 18 Neil Williams 2006-04-14 14:38:20 PDT
Comment on attachment 217260 [details] [diff] [review]
updated against NSS_311_BRANCH

This patch changes most of the perl references that were missed in the first patch. There are that don't seem to be covered by this patch. What about lib/ckfw/builtins/Makefile and lib/ckfw/nssmkey/Makefile?
No need to change them because they are not normally built?
Comment 19 cls 2006-05-15 22:17:02 PDT
I just missed those references (not sure how).  They should be fixed as well. 
Comment 20 timeless 2006-07-15 19:02:36 PDT
neil.williams@sun.com: can you just fix them and commit, or do we need to spend time on another patch cycle?
Comment 21 Nelson Bolyard (seldom reads bugmail) 2007-04-26 21:13:34 PDT
Comment on attachment 217260 [details] [diff] [review]
updated against NSS_311_BRANCH

Let's get this patch into 3.11.7 if possible
Comment 22 Neil Williams 2007-05-04 19:29:37 PDT
Created attachment 263818 [details] [diff] [review]
converted to current 3.11 branch

Had to make a new patch--for one thing there is no security/manager/Makefile any more.
Comment 23 Neil Williams 2007-05-05 13:20:35 PDT
Comment on attachment 263818 [details] [diff] [review]
converted to current 3.11 branch

One more for branch.
Comment 24 Nelson Bolyard (seldom reads bugmail) 2007-05-05 13:38:12 PDT
Comment on attachment 263818 [details] [diff] [review]
converted to current 3.11 branch

I have not reviewed all the makefiles for completeness of this patch, but it looks right as far as it goes.
Comment 25 Neil Williams 2007-05-07 14:29:03 PDT
For 3.11.7.

Checking in coreconf/command.mk;
/cvsroot/mozilla/security/coreconf/command.mk,v  <--  command.mk
new revision: 1.8.2.1; previous revision: 1.8
done
Checking in coreconf/rules.mk;
/cvsroot/mozilla/security/coreconf/rules.mk,v  <--  rules.mk
new revision: 1.66.2.6; previous revision: 1.66.2.5
done
Checking in nss/lib/ckfw/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/Makefile,v  <--  Makefile
new revision: 1.7.28.1; previous revision: 1.7
done
Checking in nss/lib/ckfw/builtins/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/builtins/Makefile,v  <--  Makefile
new revision: 1.16.2.1; previous revision: 1.16
done
Checking in nss/lib/ckfw/capi/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/capi/Makefile,v  <--  Makefile
new revision: 1.2.2.1; previous revision: 1.2
done
Checking in nss/lib/freebl/ecl/Makefile;
/cvsroot/mozilla/security/nss/lib/freebl/ecl/Makefile,v  <--  Makefile
new revision: 1.2.28.2; previous revision: 1.2.28.1
done
Checking in nss/lib/freebl/mpi/Makefile;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile,v  <--  Makefile
new revision: 1.22.2.2; previous revision: 1.22.2.1
done
Checking in nss/lib/freebl/mpi/Makefile.os2;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile.os2,v  <--  Makefile.os2
new revision: 1.3.30.1; previous revision: 1.3
done
Checking in nss/lib/freebl/mpi/Makefile.win;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile.win,v  <--  Makefile.win
new revision: 1.3.30.1; previous revision: 1.3
done
Checking in nss/lib/freebl/mpi/timetest;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/timetest,v  <--  timetest
new revision: 1.6.30.1; previous revision: 1.6
done
Checking in nss/lib/pki1/Makefile;
/cvsroot/mozilla/security/nss/lib/pki1/Makefile,v  <--  Makefile
new revision: 1.7.28.1; previous revision: 1.7
done

Includes one perl -> $(PERL) fix in lib/ckfw/builtins/Makefile that wasn't caught before.
Comment 26 Neil Williams 2007-05-07 14:36:29 PDT
For trunk.

Checking in coreconf/command.mk;
/cvsroot/mozilla/security/coreconf/command.mk,v  <--  command.mk
new revision: 1.9; previous revision: 1.8
done
Checking in coreconf/rules.mk;
/cvsroot/mozilla/security/coreconf/rules.mk,v  <--  rules.mk
new revision: 1.73; previous revision: 1.72
done
Checking in nss/lib/ckfw/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/Makefile,v  <--  Makefile
new revision: 1.11; previous revision: 1.10
done
Checking in nss/lib/ckfw/builtins/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/builtins/Makefile,v  <--  Makefile
new revision: 1.17; previous revision: 1.16
done
Checking in nss/lib/ckfw/capi/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/capi/Makefile,v  <--  Makefile
new revision: 1.3; previous revision: 1.2
done
Checking in nss/lib/freebl/ecl/Makefile;
/cvsroot/mozilla/security/nss/lib/freebl/ecl/Makefile,v  <--  Makefile
new revision: 1.6; previous revision: 1.5
done
Checking in nss/lib/freebl/mpi/Makefile;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile,v  <--  Makefile
new revision: 1.24; previous revision: 1.23
done
Checking in nss/lib/freebl/mpi/Makefile.os2;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile.os2,v  <--  Makefile.os2
new revision: 1.4; previous revision: 1.3
done
Checking in nss/lib/freebl/mpi/Makefile.win;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile.win,v  <--  Makefile.win
new revision: 1.4; previous revision: 1.3
done
Checking in nss/lib/freebl/mpi/timetest;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/timetest,v  <--  timetest
new revision: 1.7; previous revision: 1.6
done
Checking in nss/lib/pki1/Makefile;
/cvsroot/mozilla/security/nss/lib/pki1/Makefile,v  <--  Makefile
new revision: 1.8; previous revision: 1.7
done
Comment 27 Neil Williams 2007-05-07 19:37:54 PDT
Created attachment 264074 [details] [diff] [review]
fixed typo in coreconf/rules.mk

Can't figure out why this happened. But it did bad things. Running nss_build_all caused a failure that did not indicate what make file it was in (probably because the fault was in rules.mk but the command wasn't executed until the rule was applied).
Comment 28 Nelson Bolyard (seldom reads bugmail) 2007-05-07 20:10:08 PDT
Comment on attachment 264074 [details] [diff] [review]
fixed typo in coreconf/rules.mk

I just LOVE cryptic languages like Makefiles and shell scripts.  :(
Bring back COBOL!  :)
Comment 29 Neil Williams 2007-05-08 17:10:31 PDT
Checking fix in on trunk first.

Checking in mozilla/security/nss/lib/pki1/Makefile;
/cvsroot/mozilla/security/nss/lib/pki1/Makefile,v  <--  Makefile
new revision: 1.10; previous revision: 1.9
done
Checking in mozilla/security/nss/lib/freebl/mpi/timetest;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/timetest,v  <--  timetest
new revision: 1.9; previous revision: 1.8
done
Checking in mozilla/security/nss/lib/freebl/mpi/Makefile.win;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile.win,v  <--  Makefile.win
new revision: 1.6; previous revision: 1.5
done
Checking in mozilla/security/nss/lib/freebl/mpi/Makefile.os2;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile.os2,v  <--  Makefile.os2
new revision: 1.6; previous revision: 1.5
done
Checking in mozilla/security/nss/lib/freebl/mpi/Makefile;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile,v  <--  Makefile
new revision: 1.26; previous revision: 1.25
done
Checking in mozilla/security/nss/lib/freebl/ecl/Makefile;
/cvsroot/mozilla/security/nss/lib/freebl/ecl/Makefile,v  <--  Makefile
new revision: 1.8; previous revision: 1.7
done
Checking in mozilla/security/nss/lib/ckfw/capi/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/capi/Makefile,v  <--  Makefile
new revision: 1.5; previous revision: 1.4
done
Checking in mozilla/security/nss/lib/ckfw/builtins/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/builtins/Makefile,v  <--  Makefile
new revision: 1.19; previous revision: 1.18
done
Checking in mozilla/security/nss/lib/ckfw/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/Makefile,v  <--  Makefile
new revision: 1.13; previous revision: 1.12
done
Checking in mozilla/security/coreconf/rules.mk;
/cvsroot/mozilla/security/coreconf/rules.mk,v  <--  rules.mk
new revision: 1.75; previous revision: 1.74
done
Checking in mozilla/security/coreconf/command.mk;
/cvsroot/mozilla/security/coreconf/command.mk,v  <--  command.mk
new revision: 1.11; previous revision: 1.10
done
Comment 30 Neil Williams 2007-05-08 18:38:51 PDT
Checking in 3.11 branch.

Checking in mozilla/security/nss/lib/pki1/Makefile;
/cvsroot/mozilla/security/nss/lib/pki1/Makefile,v  <--  Makefile
new revision: 1.7.28.3; previous revision: 1.7.28.2
done
Checking in mozilla/security/nss/lib/freebl/mpi/timetest;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/timetest,v  <--  timetest
new revision: 1.6.30.3; previous revision: 1.6.30.2
done
Checking in mozilla/security/nss/lib/freebl/mpi/Makefile.win;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile.win,v  <--  Makefile.win
new revision: 1.3.30.3; previous revision: 1.3.30.2
done
Checking in mozilla/security/nss/lib/freebl/mpi/Makefile.os2;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile.os2,v  <--  Makefile.os2
new revision: 1.3.30.3; previous revision: 1.3.30.2
done
Checking in mozilla/security/nss/lib/freebl/mpi/Makefile;
/cvsroot/mozilla/security/nss/lib/freebl/mpi/Makefile,v  <--  Makefile
new revision: 1.22.2.4; previous revision: 1.22.2.3
done
Checking in mozilla/security/nss/lib/freebl/ecl/Makefile;
/cvsroot/mozilla/security/nss/lib/freebl/ecl/Makefile,v  <--  Makefile
new revision: 1.2.28.4; previous revision: 1.2.28.3
done
Checking in mozilla/security/nss/lib/ckfw/capi/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/capi/Makefile,v  <--  Makefile
new revision: 1.2.2.3; previous revision: 1.2.2.2
done
Checking in mozilla/security/nss/lib/ckfw/builtins/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/builtins/Makefile,v  <--  Makefile
new revision: 1.16.2.3; previous revision: 1.16.2.2
done
Checking in mozilla/security/nss/lib/ckfw/Makefile;
/cvsroot/mozilla/security/nss/lib/ckfw/Makefile,v  <--  Makefile
new revision: 1.7.28.3; previous revision: 1.7.28.2
done
Checking in mozilla/security/coreconf/rules.mk;
/cvsroot/mozilla/security/coreconf/rules.mk,v  <--  rules.mk
new revision: 1.66.2.8; previous revision: 1.66.2.7
done
Checking in mozilla/security/coreconf/command.mk;
/cvsroot/mozilla/security/coreconf/command.mk,v  <--  command.mk
new revision: 1.8.2.3; previous revision: 1.8.2.2
done

Note You need to log in before you can comment on or make changes to this bug.